Browse Source

Fix NUCLEO_F767ZI build, add tests (#19746)

Jason Smith 3 years ago
parent
commit
7f83231385
No account linked to committer's email address

+ 1
- 0
.github/workflows/test-builds.yml View File

81
         - STM32F103RET6_creality
81
         - STM32F103RET6_creality
82
         - LERDGEX
82
         - LERDGEX
83
         - mks_robin_nano35
83
         - mks_robin_nano35
84
+        - NUCLEO_F767ZI
84
 
85
 
85
         # Put lengthy tests last
86
         # Put lengthy tests last
86
 
87
 

+ 1
- 1
Marlin/src/pins/stm32f7/pins_NUCLEO_F767ZI.h View File

21
  */
21
  */
22
 #pragma once
22
 #pragma once
23
 
23
 
24
-#ifndef STM32F767xx
24
+#if NOT_TARGET(STM32F767xx)
25
   #error "Oops! Select an STM32F767 environment"
25
   #error "Oops! Select an STM32F767 environment"
26
 #endif
26
 #endif
27
 
27
 

+ 21
- 0
buildroot/tests/NUCLEO_F767ZI-tests View File

1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for NUCLEO_F767ZI
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_NUCLEO_F767ZI
14
+opt_set SERIAL_PORT -1
15
+opt_enable BLTOUCH Z_SAFE_HOMING SPEAKER
16
+opt_set X_DRIVER_TYPE TMC2209
17
+opt_set Y_DRIVER_TYPE TMC2208
18
+exec_test $1 $2 "Mixed timer usage"
19
+
20
+# clean up
21
+restore_configs

Loading…
Cancel
Save